Add Message
curl --request POST \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/add-message \
--header 'Content-Type: application/json' \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>' \
--data '
{
"message": "<string>",
"role": "<string>"
}
'{
"detail": "<string>"
}Sessions
Add Message
Add a message to an active session.
Append a new message to the session’s conversation history. The session must be in PENDING status. Adding a message resets the auto-process timer, keeping the session active.
Path Parameters:
custom_user_id(str): Unique identifier for the usersession_id(UUID): Session UUID to add message to
Body Parameters:
message(str): Message content textrole(str): Message role (user, assistant)
Returns:
detail(str): Success confirmation message
POST
/
api
/
v1
/
users
/
{custom_user_id}
/
sessions
/
{session_id}
/
add-message
Add Message
curl --request POST \
--url https://api.recallrai.com/api/v1/users/{custom_user_id}/sessions/{session_id}/add-message \
--header 'Content-Type: application/json' \
--header 'X-Recallr-Api-Key: <x-recallr-api-key>' \
--header 'X-Recallr-Project-Id: <x-recallr-project-id>' \
--data '
{
"message": "<string>",
"role": "<string>"
}
'{
"detail": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.recallrai.com/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?
⌘I